summaryrefslogtreecommitdiffstats
path: root/tools/power/pm-graph/install_latest_from_github.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-11 08:27:49 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-11 08:27:49 +0000
commitace9429bb58fd418f0c81d4c2835699bddf6bde6 (patch)
treeb2d64bc10158fdd5497876388cd68142ca374ed3 /tools/power/pm-graph/install_latest_from_github.sh
parentInitial commit. (diff)
downloadlinux-ace9429bb58fd418f0c81d4c2835699bddf6bde6.tar.xz
linux-ace9429bb58fd418f0c81d4c2835699bddf6bde6.zip
Adding upstream version 6.6.15.upstream/6.6.15
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tools/power/pm-graph/install_latest_from_github.sh')
-rwxr-xr-xtools/power/pm-graph/install_latest_from_github.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/tools/power/pm-graph/install_latest_from_github.sh b/tools/power/pm-graph/install_latest_from_github.sh
new file mode 100755
index 0000000000..eaa332399d
--- /dev/null
+++ b/tools/power/pm-graph/install_latest_from_github.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+#
+# Script which clones and installs the latest pm-graph
+# from http://github.com/intel/pm-graph.git
+
+OUT=`mktemp -d 2>/dev/null`
+if [ -z "$OUT" -o ! -e $OUT ]; then
+ echo "ERROR: mktemp failed to create folder"
+ exit
+fi
+
+cleanup() {
+ if [ -e "$OUT" ]; then
+ cd $OUT
+ rm -rf pm-graph
+ cd /tmp
+ rmdir $OUT
+ fi
+}
+
+git clone http://github.com/intel/pm-graph.git $OUT/pm-graph
+if [ ! -e "$OUT/pm-graph/sleepgraph.py" ]; then
+ echo "ERROR: pm-graph github repo failed to clone"
+ cleanup
+ exit
+fi
+
+cd $OUT/pm-graph
+echo "INSTALLING PM-GRAPH"
+sudo make install
+if [ $? -eq 0 ]; then
+ echo "INSTALL SUCCESS"
+ sleepgraph -v
+else
+ echo "INSTALL FAILED"
+fi
+cleanup